### Class

# Gtk EnumList

unstable since: 4.24

#### Description [src]

    final class Gtk.EnumList : GObject.Object
      implements Gio.ListModel {
      /* No available fields */
    }

A `GListModel` representing values of a given enum.

`GtkEnumList` contains objects of type `GtkEnumListItem`.

A simple way to use a `GtkEnumList` is to populate a `GtkDropDown` widget using the short name (or “nick”) of the values of an enumeration type:

    choices = gtk_drop_down_new (G_LIST_MODEL (gtk_enum_list_new (type)),
                                 gtk_property_expression_new (GTK_TYPE_ENUM_LIST_ITEM,
                                                              NULL,
                                                              "nick"));

Available since: 4.24

#### Ancestors

- GObject

#### Implements

- GListModel

#### Constructors

###### gtk_enum_list_new

Creates a new `GtkEnumList` for `enum_type`.

unstable since: 4.24

#### Instance methods

###### gtk_enum_list_find

Finds the position of a given enum value in `self`.

unstable since: 4.24

###### gtk_enum_list_get_enum_type

Gets the type of the enum represented by `self`.

unstable since: 4.24

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from GListModel (5)

###### g_list_model_get_item

Get the item at `position`.

###### g_list_model_get_item_type

Gets the type of the items in `list`.

###### g_list_model_get_n_items

Gets the number of items in `list`.

###### g_list_model_get_object

Get the item at `position`.

###### g_list_model_items_changed

Emits the `GListModel::items-changed` signal on `list`.

#### Properties

###### Gtk.EnumList:enum-type

The type of the enum represented by the model.

unstable since: 4.24

###### Gtk.EnumList:item-type

The type of the items. See `g_list_model_get_item_type()`.

unstable since: 4.24

###### Gtk.EnumList:n-items

The number of items. See `g_list_model_get_n_items()`.

unstable since: 4.24

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

##### Signals inherited from GListModel (1)

###### GListModel::items-changed

This signal is emitted whenever items were added to or removed from `list`. At `position`, `removed` items were removed and `added` items were added in their place.

#### Class structure

    struct GtkEnumListClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.